aboutsummaryrefslogtreecommitdiff
path: root/backends/platform/dc/check_plugin_symbols
diff options
context:
space:
mode:
authorMarcus Comstedt2011-01-07 14:40:25 +0000
committerMarcus Comstedt2011-01-07 14:40:25 +0000
commit710e41c3e8e55dfd643aa08752bb6565de1efe57 (patch)
treee7487e637ba27fd56760f208b5802d0faae8c411 /backends/platform/dc/check_plugin_symbols
parentf9ebeb330b1a07829162a925fe8bb10a3c598dbb (diff)
downloadscummvm-rg350-710e41c3e8e55dfd643aa08752bb6565de1efe57.tar.gz
scummvm-rg350-710e41c3e8e55dfd643aa08752bb6565de1efe57.tar.bz2
scummvm-rg350-710e41c3e8e55dfd643aa08752bb6565de1efe57.zip
DC: Check plugins for required symbols
Make sure that all the required symbols exist in generated plugins. If not, the strip command may have removed them... svn-id: r55144
Diffstat (limited to 'backends/platform/dc/check_plugin_symbols')
-rwxr-xr-xbackends/platform/dc/check_plugin_symbols15
1 files changed, 15 insertions, 0 deletions
diff --git a/backends/platform/dc/check_plugin_symbols b/backends/platform/dc/check_plugin_symbols
new file mode 100755
index 0000000000..7dd9d68971
--- /dev/null
+++ b/backends/platform/dc/check_plugin_symbols
@@ -0,0 +1,15 @@
+#! /bin/sh
+case "$0" in
+ */*) dir=`dirname "$0"`/;;
+ *) dir="";;
+esac
+exec < "$dir"plugin.syms
+while read sym; do
+ if sh-elf-nm "$1" | grep >/dev/null " $sym"'$'; then
+ :
+ else
+ echo >&2 "ERROR: Symbol $sym missing from $1"
+ exit 1
+ fi
+done
+exit 0